About This File

eSERVICES 8.0 UCS MANAGER HELP

Copyright (©) 2003–2010 Genesys Telecommunications Laboratories, Inc. All rights reserved.
ucs_mgr-help_12-2010_v8.0.301.00

The information contained herein is proprietary and confidential and cannot be disclosed or duplicated without the prior written consent of Genesys Telecommunications Laboratories, Inc.

About Genesys

Alcatel-Lucent’s Genesys solutions feature leading software that manages customer interactions over phone, Web, and mobile devices. The Genesys software suite handles customer conversations across multiple channels and resources - self-service, assisted-service, and proactive outreach - fulfilling customer requests and optimizing customer care goals while efficiently using resources. Genesys software directs more than 100 million customer interactions every day for 4,000 companies and government agencies in 80 countries. These companies and agencies leverage their entire organization, from the contact center to the back office, while dynamically engaging their customers. For more information, go to www.genesyslab.com.

Each product has its own documentation for online viewing at the Genesys Technical Support website or on the Documentation Library DVD, which is available from Genesys upon request. For more information, contact your sales representative.

Notice

Although reasonable effort is made to ensure that the information in this document is complete and accurate at the time of release, Genesys Telecommunications Laboratories, Inc., cannot assume responsibility for any existing errors. Changes and/or corrections to the information contained in this document may be incorporated in future versions.

Your Responsibility for Your System’s Security

You are responsible for the security of your system. Product administration to prevent unauthorized use is your responsibility. Your system administrator should read all documents provided with this product to fully understand the features available that reduce your risk of incurring charges for unlicensed use of Genesys products.

Trademarks

Genesys and the Genesys logo are registered trademarks of Genesys Telecommunications Laboratories, Inc., in the USA and/or other countries. All other trademarks and trade names referred to in this document are the property of other companies.

Technical Support from VARs

If you have purchased this software from a value-added reseller (VAR), please contact the VAR for technical support.

Technical Support from Genesys

If you have purchased support directly from Genesys, please contact Genesys Technical Support at the following regional numbers:

North and Latin America | +888-369-5555 or +506-674-6767 | support@genesyslab.com
Europe, Middle East, and Africa | +44-(0)-1276-45-7002 | support@genesyslab.co.uk
Asia Pacific | +61-7-3368-6868 | support@genesyslab.com.au
Malaysia | 1-800-814-472 or +61-7-3368-6868 | support@genesyslab.com.au
India | 000-800-100-7136 or +91-(022)-3918-0537 | support@genesyslab.com.au
Japan | +81-3-6361-8950 | support@genesyslab.co.jp

Before contacting technical support, please refer to the Genesys Technical Support Guide for complete contact information and procedures.

Ordering Information

For complete information on ordering Genesys products, please see the Genesys Licensing Guide.

Released by

Genesys Telecommunications Laboratories, Inc.
www.genesyslab.com


Overview

What It Is

Universal Contact Server Manager connects to Universal Contact Server (UCS). The Manager component is a graphic interface that you use to:

  • Configure the options that handle maintenance (archiving and pruning) of the UCS database.

  • Correct certain problems that may exist with data integrity.

  • Display statistics about the UCS database.

UCS must have a main database, and may also have an archive database. Please also note the following definitions:

  • A thread is a series of related interactions, typically the e-mails exchanged between a specific customer and one or more agents.

  • Pruning is the process of removing threads from either the main or the archive database.

  • Archiving is the process of removing selected threads from the main database and storing them in the archive database.

  • Maintenance is a cover term for pruning and archiving.

The Interface

When you launch UCS Manager, you are asked to log in to the Configuration Manager. Enter your user name and password.

The UCS Manager window appears. At the top of the window are the File, Tools, and Help menus. File and Help contain a few standard commands. The Tools menu contains:

  • The DataCorrection command, which displays the Data integrity correction dialog box.

  • The Statistics command, which displays statistics about the UCS database.

Below the menus is a toolbar containing the following (from left to right):

  • Three icons that duplicate File menu commands: Save, Save and Close, and Revert Changes.

  • A drop-down list that displays the name(s) of the Universal Contact Server(s) that UCS Manager is configured to connect to.

  • A drop-down list that displays the tenant that holds the UCS selected in the previously mentioned list. A tenant is displayed only if the account you log in with has administrative access to it. In a single-tenant environment this list displays Resources.

The main area of the window is made up of three tabs that relate to archiving and pruning.


Printing This Help File

Use the Print button on the toolbar to print this Help file.

You can print a single topic (page) or all the topics (pages) within a single book. You cannot, however, print the entire Help file at once.

On the Table of Contents, select a topic or book and then do the following:

  1. Select the Print button.

  2. In the Print Topics dialog box, select either:

    • Print the selected topic

    • Print the selected heading and all subtopics

  3. Select OK.


Archiving and Pruning

Archiving and Pruning Overview

Note the following definitions:

  • Pruning is the process of removing threads from either the main or the archive database.

  • Archiving is the process of removing selected threads from the main database and storing them in the archive database.

  • Maintenance is a cover term for pruning and archiving.

There are two ways of performing archiving and pruning:

  • Use UCS Manager only

The UCS Manager window has three tabs:

  • Manual task for performing one-time maintenance.

  • Scheduled task on Main DB for scheduling periodic maintenance on the main database.

  • Scheduled task on Archive DB for scheduling periodic maintenance on the archive database.

  • Set-based maintenance

Release 8.0.2 and later of UCS includes a second means of archiving and pruning, in which you start the maintenance task in UCS Manager, then run certain specialized queries directly on the UCS database.

This method, including the required queries, is described on the "Archiving and Pruning the Database" page of the Universal Contact Server 8.0 Context Services User's Guide, available in the Genesys Documentation Wiki. The Context Services documentation Start Page is at http://developerzone.genesyslab.com/wiki/index.php?title=Context_Services_Start_Page.


Archiving and Pruning

Configuring for Archiving and Pruning

Before you configure Universal Contact Server Manager to archive and prune data, consider the following points:

  • Leave at least two days of history in the database to calculate report metrics properly.

  • Allow Stat Server to access data before archiving or pruning the data. For example, if Stat Server calculates report metrics once a week, then archive or prune statistics that are at least seven days old.

  • To prevent problems with application performance, schedule database archiving/pruning and eServices reports at different times.

Note: If not configured correctly, data archiving and pruning could adversely affect the calculation of statistics used for eServices reporting.

For information on configuring Universal Contact Server, see the eServices 8.0 Deployment Guide and the "Universal Contact Server Options" section in Chapter 2 in the eServices 8.0 Reference Manual.


Archiving and Pruning

Manual Task

Use this tab when you want to perform immediate one-time maintenance:

  1. Select database radio buttons: Select the database to perform maintenance on: main or archive.

  2. Action radio buttons: Select the type of maintenance: Prune or Archive.

  3. Records older than boxes: Set a number and a time unit (hours, days, months, or years). All records older than the selected time are pruned or archived.

  4. Start button: Click to start the maintenance.

  5. Stop button: Click to stop the maintenance before it is complete.

At the bottom of the tab is information about the progress of your maintenance action, as follows (listed from top to bottom):

  • Connected to Universal Contact Server, followed by text providing information on the status of the selected task.

  • Progress indicator providing a graphic representation of the progress of the task.

  • Statistic on the number of threads that have been scanned: Progress (Scanned threads/Total): x / y, where x is the current number of threads scanned and y is the total number of threads in this task (that is, the number of threads that match criteria that you set in the Records older than box). For example, 415 / 23306 means that the task will ultimately apply to 23,306 threads, of which 415 have been scanned.

  • Statistic on the number of threads and interactions pruned or archived: <action> (Threads - Interactions): x / y , where <action> is either Pruned or Archived, x is the number of threads affected by the action, and y is the number of interactions affected by the action. For example, Archived (Threads - Interactions): 100 - 150 means that an archiving task has been completed, and that 150 interactions belonging to 100 different threads have been archived.

Note that UCS may scan some threads that it does not archive or prune: such threads do not appear in this Threads - Interactions statistic. UCS may refrain from archiving/pruning a scanned thread for any of the following reasons:

  • The thread includes at least one interaction that has an end date that is more recent than the selected timespan.

  • The thread includes at least one interaction that is not in Closed status.

  • The thread includes at least one interaction that is corrupted.

Once the task's status is done or failed, (shown in the information), the statistics continue to display, preserving a record of the most recently-completed task. Exceptions to this are if the task is scheduled (not manual), or if the task was started by some other instance of UCS Manager. In either of those cases the statistics are no longer shown after the task is done or failed.

Note: If you have begun pruning or archiving using the set-based method available in release 8.0.2 and later, the progress indicator and statistics do not display information about the process.


Archiving and Pruning

Manual Task Status Information

On the Manual task tab, text that follows the label Connected to Universal Contact Server displays information about the status of the task that is running. This information can be any of the following:

  • Manual Pruning main initializing

  • Manual Pruning main running

  • Manual Pruning main done

  • Manual Pruning main failed

  • Manual Pruning archive initializing

  • Manual Pruning archive running

  • Manual Pruning archive done

  • Manual Pruning archive failed

  • Manual Archiving initializing

  • Manual Archiving running

  • Manual Archiving done

  • Manual Archiving failed

  • Scheduled Pruning main initializing

  • Scheduled Pruning main running

  • Scheduled Pruning archive initializing

  • Scheduled Pruning archive running

  • Scheduled Archiving initializing

  • Scheduled Archiving running

Most of this is self-explanatory, but note that failed means that initialization of the task has failed.


Archiving and Pruning

Scheduled Task on Main DB

Use this tab to schedule periodic maintenance on the main database.

  1. Select the type of maintenance: prune or archive.

  2. Set the basic frequency of maintenance: hourly, daily, weekly, or monthly. The setting you choose determines which further specifications are required:

    • Hourly: no further specification.

    • Daily: set a time of day.

    • Weekly: set a day of the week and a time of day.

    • Monthly: set a day of the month and a time of day.

Note: Time-of-day settings must use 24-hour format.

  3. Select the records to prune/archive by setting a number and a time unit (hours, days, months, or years). All records older than the selected time are pruned or archived.

  4. Select the Activated check box to activate the maintenance that you have configured.


Archiving and Pruning

Scheduled Task on Archive DB

Use this tab to schedule periodic pruning on the archive database.

This tab resembles the Scheduled Task on Main DB tab except that it configures only pruning, not archiving.

  1. Set the basic frequency of maintenance: hourly, daily, weekly, or monthly. The setting you choose determines which further specifications are required:

    • Hourly: no further specification.

    • Daily: set a time of day.

    • Weekly: set a day of the week and a time of day.

    • Monthly: set a day of the month and a time of day.

Note: Time-of-day settings must use 24-hour format.

  2. Select the records to prune by setting a number and a time unit (hours, days, months, or years). All records older than the selected time are pruned.

  3. Select the Activated check box to activate the maintenance that you have configured.


Data Integrity Correction

Data Integrity Correction Overview

UCS Manager can diagnose and fix a number of data integrity issues in the UCS database. To use this functionality, proceed as follows:

  1. Select DataCorrection on the Tools menu.

  2. In the resulting Data integrity correction dialog box, verify the UCS application name and associated tenant at the top of the dialog box.

  3. Use checkboxes in the Diagnose and Fix columns to select one or more issues. The Data Integrity Correction Issues topic describes the issues and how they are fixed.

    • Diagnose—UCS checks this issue in all database records and generates a database table that lists all records that need to be repaired. This table, called IntegrityReport, also contains other relevant information.

    • Fix—UCS fixes this issue in all damaged records, and updates the IntegrityReport table to reflect the results.

If you select both Diagnose and Fix, UCS diagnoses first, then fixes.

  4. Use radio buttons to select main and/or archive databases. Some issues apply to the main database only; see Data Integrity Correction Issues for a list.

  5. Click Start.

  6. Indicators at the bottom of the dialog box report on the progress of this run.

Other columns in this dialog box show the following:

    • Remaining—Number of records with this issue still to be fixed.

    • Total Fixed—Number of records in which this issue has been fixed.

    • Status—Status of this run of the data integrity correction functionality. Possible statuses are described here .

    • Last diag date—Most recent date on which this issue was diagnosed.

    • Last fix date—Most recent date on which this issue was fixed.

If the task is taking too long you can click Stop. If a task takes a long time and the Status column shows Error, do the following:

  1. Increase the value of the DAP option long-query-timeout. This option is described in the eServices 8.0 Reference Manual.

  2. Restart UCS and run the task again.


Data Integrity Correction

Data Integrity Correction Issues

The issues listed in the Data Integrity Correction table are shown in the following table. The Database column indicates which UCS database (main or archive) this issue can be detected and fixed in.

Issue | Description | Fix | Database
DuplicatedEmailAddressesInAContact | A single contact has multiple instances of the same e-mail address (or instances that differ only in case or the presence of space characters). | Retain the e-mail address attribute that has a nonnull description. Set it to primary if at least one of the duplicates was primary. Delete the duplicates. | Main only
IncompatibleThreadChaining | A single thread has two root interactions. | Create a new Thread ID for one of the two root interactions, and replicate this Thread ID in all of its children. | Main and archive
OrphansInDocument | Document indicates that it is an attachment but it is not attached to anything. | Delete the document. | Main and archive
OrphansInAttachment | Attachment table has a record that points to a nonexistent interaction. | Delete the record in Attachment table. | Main and archive
OrphansInStandardResponseUsage | Record in Standard Response Usage table points to a nonexistent standard response. | Delete the record in Standard Response Usage table. | Main only
OrphansInContactAttributes | Contact attribute points to a nonexistent contact. | (Re)create the contact. | Main only
MissingContacts | Interaction points to a nonexistent contact. | (Re)create the contact. | Main only
GhostContacts | Contact exists without any associated interaction and with either no attributes or no attributes that have values.* | Delete the contact. | Main only
DuplicatedContacts | Multiple contacts have the same e-mail address. | Merge the contacts. | Main only
BadContactAttributes | The ContactAttribute table includes null and empty contact attributes. | Remove the attributes. | Main only

*The exact meaning of "no attributes that have values" is that no record in the ContactAttribute table for this contact has a non-null value in its StrValue, BinValue, or DateValue columns. See UCS 8.0 Conceptual Data Model for details.


Data Integrity Correction

Data Integrity Task Statuses

In the Data integrity correction dialog box, the Status column can contain the following values:

  • Waiting—Waiting for the task to begin.

  • Diagnosing—Records are being diagnosed.

  • Fixing—Records are being fixed.

  • Error—An error occurred while the task was running.

The column is blank when no task has been launched or when a task is completed.


Data Integrity Correction

IntegrityReport Table

When you click Diagnose or Fix in the Data Integrity Correction dialog box, UCS creates a table in the database, called IntegrityReport, listing all records that require repair. UCS writes into this table when it runs in diagnosis mode. Then, when it runs in repair mode, it reads and updates the table. The schema for IntegrityReport is shown below.

Note: Do not manually insert, update, or delete data in this report table.

The following table provides descriptions of the rows in the IntegrityReport table:

Column | Nullable? | Description
Id | No | Unique identifier generated by the UCS API
IssueId | No | Identifier of the issue being diagnosed or fixed; see table below.
TenantId | No | Identifier of the tenant in which this UCS database is located
DetectionDate | No | Date that this issue was last detected
CorrectionDate | Yes | Date that this issue was last fixed
FirstId | No | Depends on issue; see table below.
SecondId | Yes | Depends on issue; see table below.
Status | No | Possible values: True—The issue is repaired. False—The issue is not yet repaired; clicking Fix will repair it.
SessionId | No | Identifier of this session of running Data Integrity Correction

The following table lists possible values of some of the rows in the IntegrityReport table. "Identifier" means the identifier of this issue in the IssueId row:

Issue | Identifier | Value of FirstId | Value of SecondId
DuplicatedEmailAddressesInAContact | 1 | Contact Attribute ID | Contact ID
IncompatibleThreadChaining | 2 | Original Thread ID | Null before fix; new Thread ID after fix
OrphansInDocument | 3 | Document ID | Null
OrphansInAttachment | 4 | Attachment ID | Entity Type ID (of the nonexistent interaction)
OrphansInStandardResponseUsage | 5 | Standard Response Usage ID | Standard Response ID
OrphansInContactAttributes | 6 | Null | Contact ID
MissingContacts | 7 | Contact ID | Null
GhostContacts | 8 | Contact ID | Null
DuplicatedContacts | 9 | ID of the contact that is the destination of merge | ID of the contact that has been merged with the contact in FirstID
BadContactAttributes | 10 | Null | ID of the contact whose attribute is bad


Statistics Display

Statistics Display Overview

The Statistics command, on UCS Manager's Tools menu, displays the following statistics about the UCS database:

Statistic | Database
Number of Contacts | Main only
Minimum number of ContactAttributes per Contact | Main only
Average number of ContactAttributes per Contact | Main only
Maximum number of ContactAttributes per Contact | Main only
Top10 Contacts with most ContactAttributes | Main only
ContactAttributes usage ratio | Main only
Number of Interactions | Main and archive
Average number of Interactions per Contact | Main
Maximum number of Interactions per Contact | Main
Number of Interactions per type | Main and archive
Number of Interactions per subtype | Main and archive
Number of Interactions for each state | Main only
Number of Interactions without Contact specified | Main only
Average number of Interactions per thread | Main and archive
Maximum number of Interactions per thread | Main and archive
Number of Interactions with an attachment | Main and archive
Minimum attachment size | Main and archive
Average attachment size | Main and archive
Maximum attachment size | Main and archive
Top10 Interactions with biggest attachments | Main and archive


Statistics Display

Statistics Explanation

Most of the statistics displayed are self-explanatory, but note the following:

  • Number of Contacts is the total number of contact records in the database.

  • ContactAttributes usage ratio lists the total number of contact attributes of each type in the database. Some of these numbers may be larger than Number of Contacts because a contact may have more than one attribute of certain types: the e-mail address attribute is a common example.

  • In Number of Interactions per type and Number of Interactions per subtype, type and subtype can be anything defined in the Configuration Server database as Business Attributes > Interaction Type or Interaction Subtype objects. The default objects that are created when you install Configuration Server are:

    • Type: Inbound, Internal, Outbound

    • Subtype: InboundCollaborationReply, InboundCustomerReply, InboundNDR, InboundNew, InternalCollaborationInvite, InternalCollaborationReply, OutboundAcknowledgement, OutboundAutoResponse, OutboundCollaborationInvite, OutboundNew, OutboundRedirect, OutboundReply

  • Number of Interactions for each state has the following possible values:

0 = New

1 = Pending

2 = In progress

3 = Stopped